Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nfunk.jep.evaluation
Class CommandElement

    java.lang.Object
      org.nfunk.jep.evaluation.CommandElement

    public class CommandElement

extends java.lang.Object

Author:
  nathan

Field Summary
`static int` | `CONST`
`static int` | `FUNC`
`static int` | `VAR`

Constructor Summary
`CommandElement()`

Method Summary
`int` | `getNumParam()`
`PostfixMathCommandI` | `getPFMC()`
`int` | `getType()`
`java.lang.Object` | `getValue()`
`java.lang.String` | `getVarName()`
`void` | `setNumParam(int i)`
`void` | `setPFMC(PostfixMathCommandI commandI)`
`void` | `setType(int i)`
`void` | `setValue(java.lang.Object object)`
`void` | `setVarName(java.lang.String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VAR

    public static final int VAR

See Also:
  Constant Field Values

### CONST

    public static final int CONST

See Also:
  Constant Field Values

### FUNC

    public static final int FUNC

See Also:
  Constant Field Values

Constructor Detail

### CommandElement

    public CommandElement()

Method Detail

### getPFMC

    public final PostfixMathCommandI getPFMC()

  Returns:
    The function associated with this element.

### getType

    public final int getType()

  Returns:
    The type.

### getValue

    public final java.lang.Object getValue()

  Returns:
    The value of this element.

### getVarName

    public final java.lang.String getVarName()

  Returns:
    The variable name.

### getNumParam

    public final int getNumParam()

  Returns:
    The number of parameters.

### setPFMC

    public final void setPFMC(PostfixMathCommandI commandI)

  Parameters:
    `commandI` - The function associated with this element.

### setType

    public final void setType(int i)

  Parameters:
    `i` - The type identifier.

### setValue

    public final void setValue(java.lang.Object object)

  Parameters:
    `object` - The value of the element.

### setVarName

    public final void setVarName(java.lang.String string)

  Parameters:
    `string` - The name of the variable.

### setNumParam

    public final void setNumParam(int i)

  Parameters:
    `i` - The number of parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems